Name:           presto
Version:        0.1.3
Release:        8%{?dist}
Summary:        A tilemap engine using the Allegro game programming library

Group:          Development/Libraries
License:        GPLv3+
URL:            http://www.hypersonicsoft.org/projects/showproject.php?id=29
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  allegro-devel
BuildRequires:  qt4-devel
BuildRequires:  libpng-devel
Requires:       allegro

%description
Presto is a general-use tilemap engine coded in C that uses Allegro for
graphics rendering, and therefore is intended for use in games using Allegro.
It can handle rectangular tiles of any height and width (and different height
from width), loading tilemaps from files, tile blending, and the capability to
change most of these elements on the fly.


%package devel
Summary: Files needed to develop programs that use Presto
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: allegro-devel
Requires: libpng-devel


%description devel
Development files used for creating applications using the Presto tilemap
engine

%prep
%setup -q


%build
qmake-qt4 PREFIX="%{_prefix}" LIBFINALDIR="%{_libdir}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install INSTALL_ROOT="%{buildroot}"

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_libdir}/libpresto.so.0
%{_libdir}/libpresto.so.0.1
%{_libdir}/libpresto.so.%{version}
%dir %{_docdir}/presto-%{version}
%doc %{_docdir}/presto-%{version}/README
%doc %{_docdir}/presto-%{version}/COPYING


%files devel
%defattr(-,root,root,-)
%{_libdir}/libpresto.so
%dir %{_includedir}/presto
%{_includedir}/presto/presto.h
%{_includedir}/presto/functions.h
%{_includedir}/presto/loadpng.h
%dir %{_docdir}/presto-%{version}/examples
%doc %{_docdir}/presto-%{version}/examples/build
%doc %{_docdir}/presto-%{version}/examples/test.c
%doc %{_docdir}/presto-%{version}/examples/test.map
%doc %{_docdir}/presto-%{version}/examples/clouds.map
%doc %{_docdir}/presto-%{version}/examples/images/

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Sep  2 2008 Michael Schwendt <mschwendt@fedoraproject.org> 0.1.3-5
- Include unowned directories

* Mon Jul 21 2008 Peter Fernandes <supersonicandtails@gmail.com> 0.1.3-4
- Fixed clean section

* Thu Jul 03 2008 Peter Fernandes <supersonicandtails@gmail.com> 0.1.3-3
- Updated build and install sections

* Sat Jun 21 2008 Peter Fernandes <supersonicandtails@gmail.com> 0.1.3-2
- Added missing requires to -devel package

* Sat Jun 21 2008 Peter Fernandes <supersonicandtails@gmail.com> 0.1.3-1
- Fixed problem with example program

* Sat Jun 21 2008 Peter Fernandes <supersonicandtails@gmail.com> 0.1.2-2
- Fixed 64-bit lib directory.  Now using qmake-qt4.

* Sat Jun 21 2008 Peter Fernandes <supersonicandtails@gmail.com> 0.1.2-1
- Fixed problems linking with loadpng

* Fri Jun 20 2008 Peter Fernandes <supersonicandtails@gmail.com> 0.1.1-6
- No longer linking with Allegro during the build due to its non-PIC code

* Fri Jun 20 2008 Peter Fernandes <supersonicandtails@gmail.com> 0.1.1-5
- Fixed RPM errors

* Thu Jun 19 2008 Peter Fernandes <supersonicandtails@gmail.com> 0.1.1-4
- Fixed RPM errors

* Thu Jun 19 2008 Peter Fernandes <supersonicandtails@gmail.com> 0.1.1-3
- Fixed RPM errors

* Thu Jun 19 2008 Peter Fernandes <supersonicandtails@gmail.com> 0.1.1-2
- Fixed RPM errors

* Thu Jun 19 2008 Peter Fernandes <supersonicandtails@gmail.com> 0.1.1-1
- Stable, tile transparency working.

* Mon Jun 16 2008 Peter Fernandes <supersonicandtails@gmail.com> 0.0.1-1
- Created

